Subject: bug#32618: closed (Re: bug#32618: Channels: guix pull error when specifying branch)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 05 Sep 2018 21:56:02 +0000

Your bug report

#32618: Channels: guix pull error when specifying branch

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32618: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32618
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32618: Channels: guix pull error when specifying branch
From: [email-masked] (Ludovic Courtès)
To: Eric Brown <[email-masked]>
Cc: [email-masked]
Date: Wed, 05 Sep 2018 23:55:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Eric,

Eric Brown <[email-masked]> skribis:

> I am trying the new Channels, working with a
> ~/.config/guix/channels.scm:
>
> `guix pull' completes when a commit is specified:
> (list (channel
>        (name 'guix)
>        (url "https://git.savannah.gnu.org/git/guix.git")
>        (commit "391097782311c82c04b171db7373a0bbfc1d8653")))
>
> but not when the branch name is specified:
> (list (channel
>        (name 'guix)
>        (url "https://git.savannah.gnu.org/git/guix.git")
>        (branch "master")))
>
> guix pull: error: Git error: cannot locate remote-tracking branch 'master'

Until now you had to write "origin/master" instead of "master".

This is now fixed in commit 37a6cdbf1b3503d3e60840a176318284b1f7ca25.

Thanks!

Ludo’.

Subject: Channels: guix pull error when specifying branch
From: Eric Brown <[email-masked]>
To: [email-masked]
Date: Sun, 02 Sep 2018 20:33:34 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I am trying the new Channels, working with a
~/.config/guix/channels.scm:

`guix pull' completes when a commit is specified:
(list (channel
       (name 'guix)
       (url "https://git.savannah.gnu.org/git/guix.git")
       (commit "391097782311c82c04b171db7373a0bbfc1d8653")))

but not when the branch name is specified:
(list (channel
       (name 'guix)
       (url "https://git.savannah.gnu.org/git/guix.git")
       (branch "master")))

guix pull: error: Git error: cannot locate remote-tracking branch 'master'

I have tested with my own site as well:
       (url "https://ericcbrown.com:8888/ecbrown/guix.git")

and I see the same behavior.